/*********************************************************
manager.h
Manage Artifact class
made by phrounz
*********************************************************/

#ifndef MANAGER_H
#define MANAGER_H

#include "artifact.h"

void manager_addArtifact(Artifact *a);

//get number of artifacts founds
int manager_getNbArtifacts(void);

//get artifact
Artifact *manager_getArtifact(int number);

//calculate and give the number of magic keys
int manager_getNbKeysInLevel(void);

//delete all artifacts
void manager_deleteArtifacts(void);

#endif /*MANAGER_H*/
